/**
*
* egFrame Class
*/

function egFrame(id, title, posX, posY, width, height, container) {
	 this.objName = 'frame_'+id;
	 this.id = id;

	 this.x = posX;
	 this.y = posY;
	 this.width = width;
	 this.height = height;
	
	 this.getHeight = egWindow_getHeight;
	 this.getWidth  = egWindow_getWidth;

	 this.show = egWindow_show;
	 this.hide = egWindow_hide;
	 this.moveTo = egWindow_moveTo;
	 this.displayAt = egWindow_displayAt;

   if (!container) {
      container = 'easy-GUI_mainLayer';
   }
	 divRoot = document.getElementById(container);

	 divRoot.innerHTML += '<div id="'+this.id+'" class="egFrame"></div>';

	 div = document.getElementById(this.id);
	 div.style.width  = width+'px';
	 div.style.height = height+'px';
	 div.style.left = posX+'px';
	 div.style.top  = posY+'px';
}
